# IRremoteESP8266: src/ir_Haier.cpp File Reference

ir_Haier.cpp File Reference

Support for Haier A/C protocols. The specifics of reverse engineering the protocols details: More...

## Variables

const uint16_t | kHaierAcHdr = 3000
const uint16_t | kHaierAcHdrGap = 4300
const uint16_t | kHaierAcBitMark = 520
const uint16_t | kHaierAcOneSpace = 1650
const uint16_t | kHaierAcZeroSpace = 650
const uint32_t | kHaierAcMinGap = 150000

## Detailed Description

Support for Haier A/C protocols. The specifics of reverse engineering the protocols details:

- HSU07-HEA03 by kuzin2006.
- YR-W02/HSU-09HMC203 by non7top.
  See also
    https://github.com/crankyoldgit/IRremoteESP8266/issues/404
    https://www.dropbox.com/s/mecyib3lhdxc8c6/IR%20data%20reverse%20engineering.xlsx?dl=0
    https://github.com/crankyoldgit/IRremoteESP8266/issues/485
    https://www.dropbox.com/sh/w0bt7egp0fjger5/AADRFV6Wg4wZskJVdFvzb8Z0a?dl=0&preview=haer2.ods

## Variable Documentation

## kHaierAcBitMark

const uint16_t kHaierAcBitMark = 520

## kHaierAcHdr

const uint16_t kHaierAcHdr = 3000

## kHaierAcHdrGap

const uint16_t kHaierAcHdrGap = 4300

## kHaierAcMinGap

const uint32_t kHaierAcMinGap = 150000

## kHaierAcOneSpace

const uint16_t kHaierAcOneSpace = 1650

## kHaierAcZeroSpace

const uint16_t kHaierAcZeroSpace = 650